/* This demo shows the use of a positioner.

   Written by Mark Overmars.

   Date: 29 Apr 1991
*/

#include <stdio.h>
#include "forms.h"

main()
{
  FL_FORM *form;
  FL_OBJECT *retobj,*pos, *button, *xval, *yval;
  char str[30];

  fl_init();
  form = fl_bgn_form(FL_UP_BOX,400.0,280.0);
     pos = fl_add_positioner(FL_NORMAL_POSITIONER,40.0,40.0,200.0,200.0,"");
     fl_set_positioner_xbounds(pos,-1.0,1.0);
     fl_set_positioner_ybounds(pos,-1.0,1.0);
     xval = fl_add_box(FL_DOWN_BOX,270.0,210.0,100.0,30.0,"");
     yval = fl_add_box(FL_DOWN_BOX,270.0,160.0,100.0,30.0,"");
     fl_set_object_color(xval,13,13);
     fl_set_object_color(yval,13,13);
     button = fl_add_button(FL_NORMAL_BUTTON,270.0,40.0,100.0,30.0,"Exit");
  fl_end_form();

  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do
  {
    sprintf(str,"%f",fl_get_positioner_xvalue(pos));
    fl_set_object_label(xval,str);
    sprintf(str,"%f",fl_get_positioner_yvalue(pos));
    fl_set_object_label(yval,str);
    retobj = fl_do_forms();
  } while (retobj != button);
  fl_hide_form(form);
}
